<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_holidays
 * 
 * @copyright	Copyright (C) Inter-Net Pro. All right reserved
 * @license     GNU General Public License version 2 or later
 */


defined('_JEXEC') or die();

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Language\Text;

$doc = JFactory::getDocument();

$typeModule 	= $params->get('type');
$snowShow		= $params->get('snowShow', '0');
$addSoundKeydown = $params->get('addSoundKeydown', '0');
$addCustomCSS	= $params->get('addCustomCSS', '0');

if ($typeModule == 'garland')
{
	if ($snowShow == '1') {
		$flakesMax			= (int) $params->get('flakesMax', '128');
		$flakesMaxActive	= (int) $params->get('flakesMaxActive', '64');
		$animationInterval	= (int) $params->get('animationInterval', '33');
		$followMouse		= $params->get('followMouse', '0') ? 'true' : 'false';
		$snowColor			= $params->get('snowColor', '#fff');
		$snowCharacter		= $params->get('snowCharacter', '&bull;');
		$snowStick			= $params->get('snowStick', '1') ? 'true' : 'false';

		$js	= "
			sl_snowfalling.flakesMax			= $flakesMax;
			sl_snowfalling.flakesMaxActive		= $flakesMaxActive;
			sl_snowfalling.animationInterval	= $animationInterval;
			sl_snowfalling.followMouse			= $followMouse;
			sl_snowfalling.snowColor			= '$snowColor';
			sl_snowfalling.snowCharacter		= '$snowCharacter';
			sl_snowfalling.snowStick			= $snowStick;
			sl_snowfalling.zIndex				= 9999;
		";

		$doc->addScript('/modules/mod_holidays/assets/js/snow.js');
		$doc->addScriptDeclaration($js);
	}

	if ($addSoundKeydown == '1') {
		$sound_key = "var soundKeyGarland = true";
		$doc->addScriptDeclaration($sound_key);
	}

	if ($addCustomCSS == '1') {
		$customCSS = $params->get('customCSS', '');
		
		$doc = JFactory::getDocument();
		$doc->addStyleDeclaration($customCSS);
	}
}

$document = Factory::getDocument();
$modID = $module->id;
$modPath = Uri::root(true).'/modules/' . $module->module;
$document->addStyleSheet($modPath.'/assets/css/garland.css');
$document->addScript($modPath.'/assets/js/garland.js');
?>

<div class="b-page_newyear">
<div class="b-page__content">
<i class="b-head-decor">
<span class="b-head-decor__inner b-head-decor__inner_n1">
<div class="b-ball b-ball_n1 b-ball_bounce" data-note="0">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n2 b-ball_bounce" data-note="1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n3 b-ball_bounce" data-note="2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n4 b-ball_bounce" data-note="3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n5 b-ball_bounce" data-note="4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n6 b-ball_bounce" data-note="5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n7 b-ball_bounce" data-note="6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n8 b-ball_bounce" data-note="7">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n9 b-ball_bounce" data-note="8">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
</span>
<i class="b-head-decor__inner b-head-decor__inner_n2">
<div class="b-ball b-ball_n1 b-ball_bounce" data-note="9">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n2 b-ball_bounce" data-note="10">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n3 b-ball_bounce" data-note="11">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n4 b-ball_bounce" data-note="12">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n5 b-ball_bounce" data-note="13">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n6 b-ball_bounce" data-note="14">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n7 b-ball_bounce" data-note="15">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n8 b-ball_bounce" data-note="16">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n9 b-ball_bounce" data-note="17">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
</i><i class="b-head-decor__inner b-head-decor__inner_n3">
<div class="b-ball b-ball_n1 b-ball_bounce" data-note="18">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n2 b-ball_bounce" data-note="19">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n3 b-ball_bounce" data-note="20">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n4 b-ball_bounce" data-note="21">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n5 b-ball_bounce" data-note="22">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n6 b-ball_bounce" data-note="23">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n7 b-ball_bounce" data-note="24">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n8 b-ball_bounce" data-note="25">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n9 b-ball_bounce" data-note="26">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
</i><i class="b-head-decor__inner b-head-decor__inner_n4">
<div class="b-ball b-ball_n1 b-ball_bounce" data-note="27">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n2 b-ball_bounce" data-note="28">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n3 b-ball_bounce" data-note="29">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n4 b-ball_bounce" data-note="30">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n5 b-ball_bounce" data-note="31">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n6 b-ball_bounce" data-note="32">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n7 b-ball_bounce" data-note="33">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n8 b-ball_bounce" data-note="34">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n9 b-ball_bounce" data-note="35">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
</i>
<i class="b-head-decor__inner b-head-decor__inner_n5">
<div class="b-ball b-ball_n1 b-ball_bounce" data-note="0">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n2 b-ball_bounce" data-note="1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n3 b-ball_bounce" data-note="2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n4 b-ball_bounce" data-note="3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n5 b-ball_bounce" data-note="4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n6 b-ball_bounce" data-note="5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n7 b-ball_bounce" data-note="6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n8 b-ball_bounce" data-note="7">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n9 b-ball_bounce" data-note="8">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
</i><i class="b-head-decor__inner b-head-decor__inner_n6">
<div class="b-ball b-ball_n1 b-ball_bounce" data-note="9">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n2 b-ball_bounce" data-note="10">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n3 b-ball_bounce" data-note="11">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n4 b-ball_bounce" data-note="12">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n5 b-ball_bounce" data-note="13">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n6 b-ball_bounce" data-note="14">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n7 b-ball_bounce" data-note="15">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n8 b-ball_bounce" data-note="16">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n9 b-ball_bounce" data-note="17">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
</i><i class="b-head-decor__inner b-head-decor__inner_n7">
<div class="b-ball b-ball_n1 b-ball_bounce" data-note="18">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n2 b-ball_bounce" data-note="19">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n3 b-ball_bounce" data-note="20">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n4 b-ball_bounce" data-note="21">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n5 b-ball_bounce" data-note="22">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n6 b-ball_bounce" data-note="23">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n7 b-ball_bounce" data-note="24">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n8 b-ball_bounce" data-note="25">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_n9 b-ball_bounce" data-note="26">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i1">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i2">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i3">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i4">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i5">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
<div class="b-ball b-ball_i6">
<div class="b-ball__right"></div>
<div class="b-ball__i"></div>
</div>
</i></i></div>
</div>